'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _storybook = require('@devexperts/tools/lib/utils/storybook');

var _ButtonIcon = require('./ButtonIcon');

var _Demo = require('../demo/Demo');

var _Demo2 = _interopRequireDefault(_Demo);

var _listItemTickIcon = require('../../icons/list-item-tick-icon');

var _ButtonIconPage = require('./ButtonIcon.page.styl');

var _ButtonIconPage2 = _interopRequireDefault(_ButtonIconPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var buttonTheme = {
    container: _ButtonIconPage2.default.button,
    icon: _ButtonIconPage2.default.icon
};
var icon = _react2.default.createElement(_listItemTickIcon.ListItemTickIcon, null);
(0, _storybook.storiesOf)('ButtonIcon', module).add('Default', function () {
    return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement(_ButtonIcon.ButtonIcon, { icon: icon, theme: buttonTheme }));
}).add('Flat', function () {
    return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement(_ButtonIcon.ButtonIcon, { icon: icon, theme: buttonTheme, isFlat: true }));
}).add('Disabled', function () {
    return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement(_ButtonIcon.ButtonIcon, { icon: icon, theme: buttonTheme, isFlat: true }));
});