'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Dropdown = exports.DROPDOWN = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _pure = require('../../utils/pure');

var _Popover = require('../Popover/Popover');

var _withTheme = require('../../utils/withTheme');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DROPDOWN = exports.DROPDOWN = Symbol('Dropdown');
var RawDropdown = function (_Component) {
    _inherits(RawDropdown, _Component);

    function RawDropdown() {
        _classCallCheck(this, RawDropdown);

        var _this = _possibleConstructorReturn(this, (RawDropdown.__proto__ || Object.getPrototypeOf(RawDropdown)).apply(this, arguments));

        _this.innerRef = function (ref) {
            _this.anchorRef = ref;
        };
        _this.onAnchorClick = function () {
            _this.props.onToggle(!_this.props.isOpened);
        };
        _this.onPopoverRequestClose = function () {
            _this.props.onToggle(false);
        };
        return _this;
    }

    _createClass(RawDropdown, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                Anchor = _props.Anchor,
                Popover = _props.Popover,
                children = _props.children,
                theme = _props.theme,
                hasArrow = _props.hasArrow,
                isOpened = _props.isOpened;

            return React.createElement(Anchor, { onClick: this.onAnchorClick, innerRef: this.innerRef }, React.createElement(Popover, { isOpened: isOpened, hasArrow: hasArrow, theme: theme.Popover, onRequestClose: this.onPopoverRequestClose, anchor: this.anchorRef, closeOnClickAway: true }, children));
        }
    }]);

    return RawDropdown;
}(_react.Component);
RawDropdown.defaultProps = {
    Popover: _Popover.Popover
};
RawDropdown = tslib_1.__decorate([_pure.PURE], RawDropdown);
var Dropdown = exports.Dropdown = (0, _withTheme.withTheme)(DROPDOWN)(RawDropdown);