/// <reference types="react" />
import { ComponentClass, ReactElement } from 'react';
import { ObjectClean } from 'typelevel-ts';
import { PartialKeys } from '@devexperts/utils/lib/object/object';
export declare type TRawDeferredProps = {
    render: () => ReactElement<any>;
    children?: ReactElement<any>;
    delay: number;
};
export declare type TDeferredProps = ObjectClean<PartialKeys<TRawDeferredProps, 'delay'>>;
export declare const Deferred: ComponentClass<TDeferredProps>;
