'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.LoadingIndication = exports.LOADING_INDICATION = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _withTheme = require('../../utils/withTheme');

var _LoadingIndicator = require('../LoadingIndicator/LoadingIndicator');

var _pure = require('../../utils/pure');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var LOADING_INDICATION = exports.LOADING_INDICATION = Symbol('LoadingIndicaton');
var RawLoadingIndicaton = function (_React$Component) {
    _inherits(RawLoadingIndicaton, _React$Component);

    function RawLoadingIndicaton() {
        _classCallCheck(this, RawLoadingIndicaton);

        return _possibleConstructorReturn(this, (RawLoadingIndicaton.__proto__ || Object.getPrototypeOf(RawLoadingIndicaton)).apply(this, arguments));
    }

    _createClass(RawLoadingIndicaton, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                theme = _props.theme,
                isVisible = _props.isVisible,
                LoadingIndicator = _props.LoadingIndicator;

            var className = (0, _classnames2.default)(theme.container, _defineProperty({}, theme.container_isVisible, isVisible));
            return React.createElement("div", { className: className }, React.createElement(LoadingIndicator, { theme: theme.LoadingIndicator }));
        }
    }]);

    return RawLoadingIndicaton;
}(React.Component);
RawLoadingIndicaton.defaultProps = {
    LoadingIndicator: _LoadingIndicator.LoadingIndicator
};
RawLoadingIndicaton = tslib_1.__decorate([_pure.PURE], RawLoadingIndicaton);
var LoadingIndication = exports.LoadingIndication = (0, _withTheme.withTheme)(LOADING_INDICATION)(RawLoadingIndicaton);